
CoCoA - Bug #54

Bug # 53 (Closed): MSVC10 compilation

MSVC10 - #include <iterator>

07 Dec 2011 09:20 - Anna Maria Bigatti

Status: Closed Start date: 07 Dec 2011

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Portability Estimated time: 4.00 hours

Target version: CoCoA-5.0.2 Spent time: 4.00 hours

Description

In many files it complains for missing

#include <iterator>

is that right?

History

#1 - 07 Dec 2011 09:26 - Anna Maria Bigatti

- Category set to Portability

#2 - 07 Dec 2011 09:26 - Anna Maria Bigatti

- % Done changed from 0 to 30

#3 - 07 Dec 2011 10:01 - Anna Maria Bigatti

- Subject changed from MSVC10 compilation: #include <iterator> to MSVC10 - #include <iterator>

#4 - 24 Jan 2012 09:49 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.2

#5 - 26 Jan 2012 16:17 - John Abbott

The files which needed <iterator> to be included all seem to need it simply to define the template class back_inserter.

We looked at RingZ.C in detail, and following advice from Scott Meyers's "Effective STL" (section 5, page 26 in our copy), we replaced a call of the

form copy(... back_inserter(...)) by a call to a range insert member function.  This might also make the code slightly faster.

The new RingZ.C has been checked on MSW, and works.  It has been added to CVS.

Anna will check/modify the other files.

#6 - 26 Jan 2012 16:56 - John Abbott

The use of back_inserter in the header file apply.H could not be replaced by a call to a range insert member function.  So we have added an explicit

include directive for <iterator>.

#7 - 26 Jan 2012 18:05 - Anna Maria Bigatti

- % Done changed from 30 to 90

#8 - 03 Apr 2012 14:09 - Anna Maria Bigatti

- Estimated time set to 4.00 h
#9 - 03 Apr 2012 19:00 - John Abbott

- Status changed from New to Closed

- % Done changed from 90 to 100

Added include directives for iterator in the cases where it was needed.
